VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target Class Reference

`Snmp.SNMPv3Target` class Structure that defines an SNMP v3 inform or trap target. More...

List of all members.

## Public Member Functions
| SNMPv3Target ()
| Creates a default new instance.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Notfication | Get_Type ()
| SNMP target type.
void | SetType (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Notfication type)
| SNMP target type.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel | GetSecLevel ()
| SNMP security level.
void | SetSecLevel (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel secLevel)
| SNMP security level.
string | GetIp ()
| SNMP target ip.
void | SetIp (string ip)
| SNMP target ip.
long | GetPort ()
| SNMP target port.
void | SetPort (long port)
| SNMP target port.
string | GetUser ()
| SNMP User.
void | SetUser (string user)
| SNMP User.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPv3Target` class Structure that defines an SNMP v3 inform or trap target.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::SNMPv3Target | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::Equals | ( | object | obj | ) | `[inline]`

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Notfication vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::Get_Type | ( |  | ) | `[inline]`

SNMP target type.

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::GetIp | ( |  | ) | `[inline]`

SNMP target ip.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::GetPort | ( |  | ) | `[inline]`

SNMP target port.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::GetSecLevel | ( |  | ) | `[inline]`

SNMP security level.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::GetUser | ( |  | ) | `[inline]`

SNMP User.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::SetIp | ( | string | ip | ) | `[inline]`

SNMP target ip.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::SetPort | ( | long | port | ) | `[inline]`

SNMP target port.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::SetSecLevel | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel | secLevel | ) | `[inline]`

SNMP security level.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::SetType | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Notfication | type | ) | `[inline]`

SNMP target type.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::SetUser | ( | string | user | ) | `[inline]`

SNMP User.

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Target::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs